POST
/products Creates a new product.
Paddle does not upload product images to a CDN. For image_url, you should host images on an HTTPS server that's publicly accessible. We recommend using square images (1:1 ratio).
If successful, your response includes a copy of the new product entity.
Requires product.write
permission.
Request body
namestringrequired
Name of this product.
Length: 1–200
Pattern:
.*\S.*descriptionstring | null
Short description for this product.
Max length: 2048
typestring
Default:
standardType of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard. If omitted, defaults to
standard.Values
customNon-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.standardStandard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
tax_categorystringrequired
Tax category for this product. Used for charging the correct rate of tax. Selected tax category must be enabled on your Paddle account.
Values
digital-goodsNon-customizable digital files or media (not software) acquired with an up front payment that can be accessed without any physical product being delivered.ebooksDigital books and educational material which is sold with permanent rights for use by the customer.implementation-servicesRemote configuration, set-up, and integrating software on behalf of a customer.professional-servicesServices that involve the application of your expertise and specialized knowledge of a software product.saasProducts that allow users to connect to and use online or cloud-based applications over the Internet.
+ Show all values− Hide values
software-programming-servicesstandardSoftware products that are pre-written and can be downloaded and installed onto a local device.training-servicesTraining and education services related to software products.website-hostingCloud storage service for personal or corporate information, assets, or intellectual property.
image_url
Image for this product. Included in the checkout and on some customer documents.
Image Url
A URL to an image.
null
Empty String
custom_dataobject | null
Example:
{"customer_reference_id":"abcd1234"}Your own structured key-value data.
Response (201)
dataobjectrequired
Represents a product entity.
idstringrequired
Example:
pro_01gsz97mq9pa4fkyy0wqenepkzUnique Paddle ID for this product, prefixed with
pro_.Pattern:
^pro_[a-z\d]{26}$namestringrequired
Name of this product.
Length: 1–200
descriptionstring | nullrequired
Short description for this product.
Max length: 2048
typestringrequired
Default:
standardType of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard.
Values
customNon-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.standardStandard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
tax_categorystringrequired
Tax category for this product. Used for charging the correct rate of tax. Selected tax category must be enabled on your Paddle account.
Values
digital-goodsNon-customizable digital files or media (not software) acquired with an up front payment that can be accessed without any physical product being delivered.ebooksDigital books and educational material which is sold with permanent rights for use by the customer.implementation-servicesRemote configuration, set-up, and integrating software on behalf of a customer.professional-servicesServices that involve the application of your expertise and specialized knowledge of a software product.saasProducts that allow users to connect to and use online or cloud-based applications over the Internet.
+ Show all values− Hide values
software-programming-servicesstandardSoftware products that are pre-written and can be downloaded and installed onto a local device.training-servicesTraining and education services related to software products.website-hostingCloud storage service for personal or corporate information, assets, or intellectual property.
image_urlrequired
Image for this product. Included in the checkout and on some customer documents.
Image Url
A URL to an image.
null
Empty String
custom_dataobject | nullrequired
Example:
{"customer_reference_id":"abcd1234"}Your own structured key-value data.
statusstringrequired
Default:
activeWhether this entity can be used in Paddle.
Values
activeEntity is active and can be used.archivedEntity is archived, so can't be used.
import_metaobject | nullrequired
Import information for this entity.
null if this entity is not imported.external_idstring | null
Example:
9b95b0b8-e10f-441a-862e-1936a6d818abReference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example:
paddle_classicName of the platform or provider where this entity was imported from.
Length: 1–200
created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
{ "name": "AeroEdit Student", "tax_category": "standard", "description": "Essential tools for student pilots to manage flight logs, analyze performance, and plan routes, and ensure compliance. Valid student pilot certificate from the FAA required.", "image_url": "https://paddle.s3.amazonaws.com/user/165798/bT1XUOJAQhOUxGs83cbk_pro.png", "custom_data": { "features": { "aircraft_performance": true, "compliance_monitoring": false, "flight_log_management": true, "payment_by_invoice": false, "route_planning": true, "sso": false }, "suggested_addons": [ "pro_01h1vjes1y163xfj1rh1tkfb65", "pro_01gsz97mq9pa4fkyy0wqenepkz" ], "upgrade_description": null }}{ "data": { "id": "pro_01htz88xpr0mm7b3ta2pjkr7w2", "name": "AeroEdit Student", "tax_category": "standard", "type": "standard", "description": "Essential tools for student pilots to manage flight logs, analyze performance, and plan routes, and ensure compliance. Valid student pilot certificate from the FAA required.", "image_url": "https://paddle.s3.amazonaws.com/user/165798/bT1XUOJAQhOUxGs83cbk_pro.png", "custom_data": { "features": { "aircraft_performance": true, "compliance_monitoring": false, "flight_log_management": true, "payment_by_invoice": false, "route_planning": true, "sso": false }, "suggested_addons": [ "pro_01h1vjes1y163xfj1rh1tkfb65", "pro_01gsz97mq9pa4fkyy0wqenepkz" ], "upgrade_description": null }, "status": "active", "import_meta": null, "created_at": "2024-04-08T16:22:16.024Z", "updated_at": "2024-04-08T16:22:16.024Z" }, "meta": { "request_id": "cf40234b-e140-44d1-a83f-7bbdedd88589" }}